We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

React Area Chart is like line chart to represent time-dependent data and to show the trends at equal intervals, but it fills the area below the line. Uses numeric, category, datetime, or logarithmic axis to plot data.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Zoom and pan

Enable zooming and panning support when dealing with large amount of data to visualize the data point in any region.


Empty/null data point

Handle the missed data elegantly with empty points support.


Vertical chart

The area chart can be transposed vertically to view the data in a different perspective.


Customization

Customize the color and border of the area chart using built-in APIs.


React Area Chart Code Example

Easily get started with React Area Chart using a few simple lines of HTML and JS code example as demonstrated below. Also explore our React Area Chart Example that shows you how to render and configure the chart.

<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>
import {AreaSeries, AxisModel, Category, ChartComponent, Inject, SeriesCollectionDirective, SeriesDirective} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data1 : any[]= [{ x: 'CHN', y: 12, },
  { x: 'GER', y: 15, },
  { x: 'RUS', y: 30 },
  { x: 'BRZ', y: 6.4 },
  { x: 'IND', y: 14 }];


  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[AreaSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='Area'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);

Learning Resources

UG

Area Chart User Guide

Learn the available options to customize React area chart.

API

Area Chart API Reference

Explore the React area chart APIs.


85+ REACT UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

Angular Area Chart is like a line chart that represents time-dependent data and shows the trends at equal intervals, but it fills the area below the line. Uses numeric, category, datetime, or logarithmic axis to plot data.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Zoom and pan

Enable zooming and panning support when dealing with large amount of data to visualize the data point in any region.


Empty/null data point

Handle the missed data elegantly with empty points support.


Vertical chart

The Angular Area Chart can be transposed vertically to view the data in a different perspective.


Customization

Customize the color and border of the area chart using built-in APIs.


Angular Area Chart Code Example

Easily get started with Angular Area Chart using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular Area Chart Example that shows you how to render and configure the chart.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='Area' xName='x' yName='y'> </e-series>    
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] =  [{ x: 'CHN', y: 12, },
  { x: 'GER', y: 15, },
  { x: 'RUS', y: 30 },
  { x: 'BRZ', y: 6.4 },
  { x: 'IND', y: 14 }];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

//app.module.ts

import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { AreaSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ AreaSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Area Chart User Guide

Learn the available options to customize Angular Area Chart.

API

Area Chart API Reference

Explore the Angular Area Chart APIs.


85+ ANGULAR UI COMPONENTS

Scroll up icon